%global _empty_manifest_terminate_build 0
Name:		python-proselint
Version:	0.14.0
Release:	1
Summary:	A linter for prose.
License:	BSD-3-Clause
URL:		http://proselint.com
Source0:	https://pypi.python.org/packages/source/p/proselint/proselint-%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-click
Requires:	python3-future
Requires:	python3-six

%description
proselint's goal is to aggregate knowledge about best practices in
writing and to make that knowledge immediately accessible to all authors
in the form of a linter for prose.  It is a command-line utility that
can be integrated into existing tools.


%package -n python3-proselint
Summary:	A linter for prose.
Provides:	python-proselint
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-pytest
BuildRequires:	python3-click
BuildRequires:	python3-poetry-core
Obsoletes:	python-proselint-help < 0.14.0
%description -n python3-proselint
proselint's goal is to aggregate knowledge about best practices in
writing and to make that knowledge immediately accessible to all authors
in the form of a linter for prose.  It is a command-line utility that
can be integrated into existing tools.


%prep
%autosetup -n proselint-%{version}

%build
%pyproject_build

%install
%pyproject_install

%check
pytest

%files -n python3-proselint
%{_bindir}/proselint
%{python3_sitelib}/*

%changelog
* Wed Jul 10 2024 wangkai <13474090681@163.com> - 0.14.0-1
- Update to 0.14.0
- Add command proselint
- added support for hyphens in lexical_illusions
- additional spelling checks ally_ly, ance_ence, ely_ly and ve_of

* Wed Mar 13 2024 xu_ping <707078654@qq.com> - 0.13.0-1
- Upgrade version to 0.13.0

* Fri Sep 10 2021 Python_Bot <Python_Bot@openeuler.org> - 0.12.0-1
- Package Spec generated
